org.apache.cayenne.template.directive

## Class BindObjectEqual

- java.lang.Object
- - org.apache.cayenne.template.directive.BindObjectEqual

- All Implemented Interfaces:
    Directive
  Direct Known Subclasses:
    BindObjectNotEqual

      public class BindObjectEqual
      extends Object
      implements Directive

  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BindObjectEqual` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindObjectEqual()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Context context, ASTExpression... expressions)`
    `protected void` | `render(Context context, ParameterBinding binding)`
    `protected void` | `renderColumn(Context context, String columnName, int columnIndex)`
    `protected String[]` | `toArray(Object columns)`
    `protected Map<String,Object>` | `toIdMap(Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final BindObjectEqual INSTANCE

  - ### Constructor Detail

    - #### BindObjectEqual

          public BindObjectEqual()

  - ### Method Detail

    - #### apply

          public void apply(Context context,
                            ASTExpression... expressions)

      Specified by:
        `apply` in interface `Directive`

    - #### renderColumn

          protected void renderColumn(Context context,
                                      String columnName,
                                      int columnIndex)

    - #### render

          protected void render(Context context,
                                ParameterBinding binding)

    - #### toArray

          protected String[] toArray(Object columns)

    - #### toIdMap

          protected Map<String,Object> toIdMap(Object object)

Copyright © 2001–2021 Apache Cayenne. All rights reserved.